Subject: Re: rfc - Changing the way gitk and git-gui are managed

From: Jonathan Nieder <[email-masked]>
Date: Sat, 24 Jul 2010 14:34:28 -0500

Avery Pennarun wrote:
> On Sat, Jul 24, 2010 at 8:54 AM, Jonathan Nieder <[email-masked]> wrote:

>>  $ git log --oneline -SListbox.font -- gitk-git/gitk
>>  $ git log --oneline --follow -SListbox.font -- gitk-git/gitk
>>  62ba514 Move gitk to its own subdirectory
>>  $ git log --oneline -SListbox.font -- gitk-git/gitk gitk
>>  207ad7b gitk: Set the font for all listbox widgets
>>  $
>
> This is a bug in git log --follow

The first one is not.

> FWIW, I previously tracked the bug down to the fact that it doesn't
> track file renames that happen during a merge commit, which is what
> subtree merge produces.  I don't have the time or knowledge required
> to fix it.

Another pointer for interested people:

  http://thread.gmane.org/gmane.comp.version-control.git/150727/focus=150796

I prefer to work without --follow, anyway. :)

Hope that helps,
Jonathan